cURL
curl --request GET \
--url https://us.infisical.com/api/v1/auth/token-auth/identities/{identityId}/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/auth/token-auth/identities/{identityId}/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/auth/token-auth/identities/{identityId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"id": "<string>",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"authMethod": "<string>",
"accessTokenTTL": 2592000,
"accessTokenMaxTTL": 2592000,
"accessTokenNumUses": 0,
"accessTokenNumUsesLimit": 0,
"accessTokenLastUsedAt": "2023-11-07T05:31:56Z",
"accessTokenLastRenewedAt": "2023-11-07T05:31:56Z",
"isAccessTokenRevoked": false,
"identityUAClientSecretId": "<string>",
"name": "<string>",
"accessTokenPeriod": 0,
"subOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Token Auth
Get Tokens
Get tokens for machine identity with Token Auth
GET
/
api
/
v1
/
auth
/
token-auth
/
identities
/
{identityId}
/
tokens
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the machine identity to list token metadata for.
Query Parameters
The offset to start from. If you enter 10, it will start from the 10th token.
Required range:
0 <= x <= 100The number of tokens to return.
Required range:
1 <= x <= 100Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I